package util.log;

import com.chenyang.fastjson.JSONObject;
import com.chenyang.fastjson.annotation.JSONField;
import java.util.Date;

public class LogInfo {
   @JSONField(
      format = "yyyy-MM-dd HH:mm:ss.SSSXXX"
   )
   private Date accessTime = new Date();
   private String sql;
   private String message;

   public Date getAccessTime() {
      return this.accessTime;
   }

   public void setAccessTime(Date accessTime) {
      this.accessTime = accessTime;
   }

   public String getSql() {
      return this.sql;
   }

   public void setSql(String sql) {
      this.sql = sql;
   }

   public String getMessage() {
      return this.message;
   }

   public void setMessage(String message) {
      this.message = message;
   }

   public byte[] buffer() {
      try {
         return JSONObject.toJSONString(this).getBytes("UTF-8");
      } catch (Exception var2) {
         return null;
      }
   }
}
